/* ===== GLOBAL ===== */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Georgia', serif;
    background-color: #f6f1ea;
    color: #4a4036;
    line-height: 1.7;
}

/* ===== NAVBAR ===== */

nav {
    width: 100%;
    padding: 25px 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(10px);
    position: fixed;
    top: 0;
    z-index: 1000;
}

.logo {
    font-size: 1.4rem;
    letter-spacing: 3px;
    font-weight: bold;
    text-transform: uppercase;
}

nav ul {
    display: flex;
    list-style: none;
    gap: 40px;
}

nav a {
    text-decoration: none;
    color: #4a4036;
    font-size: 0.95rem;
    letter-spacing: 1px;
    transition: 0.3s;
}

nav a:hover {
    color: #b79b7d;
}

/* ===== MAIN SECTION ===== */

.main {
    height: 100vh;
    background-image: linear-gradient(
        rgba(246, 241, 234, 0.55),
        rgba(246, 241, 234, 0.55)
    ),
    url('../images/design_accueil_temporaire.jpg');

    background-size: cover;
    background-position: center;

    display: flex;
    align-items: center;
    padding: 0 80px;
}

.main-content {
    max-width: 600px;
}

.main h1 {
    font-size: 4.5rem;
    font-weight: normal;
    margin-bottom: 20px;
    color: #3b322b;
}

.main p {
    font-size: 1.2rem;
    margin-bottom: 35px;
    color: #5f5448;
}

/* ===== BUTTON ===== */

.btn {
    display: inline-block;
    padding: 14px 34px;
    background-color: #c8b29a;
    color: white;
    text-decoration: none;
    border-radius: 2px;
    letter-spacing: 1px;
    transition: 0.3s;
}

.btn:hover {
    background-color: #b39980;
}

/* ===== SECTION ===== */

section {
    padding: 120px 80px;
}

.section-title {
    font-size: 2.5rem;
    margin-bottom: 20px;
    color: #3b322b;
}

.section-text {
    max-width: 700px;
    color: #5f5448;
}

body>section {
    text-align: center;
    background-color: white;
}

/* ===== CARDS ===== */

.cards {
    display: flex;
    gap: 30px;
    margin-top: 50px;
    flex-wrap: wrap;
}

.card {
    flex: 1;
    min-width: 280px;
    background-color: white;
    padding: 35px;
    border-radius: 10px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.05);
}

.card h3 {
    margin-bottom: 15px;
    font-size: 1.3rem;
}

/* ===== FOOTER ===== */

footer {
    text-align: center;
    padding: 40px;
    background-color: #e8ddd0;
    color: #5f5448;
}

/* ===== RESPONSIVE ===== */

@media (max-width: 900px) {

    nav {
        padding: 20px;
        flex-direction: column;
        gap: 20px;
    }

    .main {
        padding: 0 30px;
        text-align: center;
        justify-content: center;
    }

    .main h1 {
        font-size: 3rem;
    }

    section {
        padding: 80px 30px;
    }

    .cards {
        flex-direction: column;
    }
}